Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.exceptions
Class RestoreFailedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ibm.workplace.wcm.api.exceptions.WCMException
                  com.ibm.workplace.wcm.api.exceptions.RestoreFailedException

All Implemented Interfaces:
  Localized, java.io.Serializable

    public class RestoreFailedException

extends WCMException

The `RestoreFailedException` is thrown if the restore Opreation fails to restore an item from a version

Since:
  8.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.ibm.workplace.wcm.api.exceptions.WCMException
`ERR_APTRIX`

Constructor Summary
`RestoreFailedException(java.lang.String detail)` Constructs a new exception with the given message.
`RestoreFailedException(java.lang.String detail, java.lang.Throwable cause)` Constructor that requires detail plus a cause exception

Method Summary

Methods inherited from class com.ibm.workplace.wcm.api.exceptions.WCMException
`getCause, getDescription, getErrorCode, getLocales, getMessage, getMessage, getTitle, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RestoreFailedException

    public RestoreFailedException(java.lang.String detail,
                                  java.lang.Throwable cause)

  Constructor that requires detail plus a cause exception

  Parameters:
    `detail` - the message
    `cause` -

### RestoreFailedException

    public RestoreFailedException(java.lang.String detail)

  Constructs a new exception with the given message.

  Parameters:
    `detail` - the message

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD